package info.kwarc.uloimport;

/**
 * An Exception caused by an import of ULO/RDF data.
 */
public class ImportException extends RuntimeException {
    /**
     * Construct a new {@link ImportException} with just a message.
     *
     * @param message The message associated with this exception.
     */
    public ImportException(String message) {
        super(message);
    }

    /**
     * Construct a new {@link ImportException} with a message and a cause
     * that caused this exception.
     *
     * @param message The message associated with this exception.
     * @param cause The underlying cause of the import error.
     */
    public ImportException(String message, Throwable cause) {
        super(message, cause);
    }
}
